## katetag katetag — retags kate streams |

## Properties

gchar * | category | Read / Write
gchar * | language | Read / Write
gint | original-canvas-height | Read / Write
gint | original-canvas-width | Read / Write

## Types and Values

struct | GstKateTag

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstKateParse
                        ╰── GstKateTag

## Implemented Interfaces

GstKateTag implements GstTagSetter.

## Description

The katetag element can change the tag contained within a raw kate stream. Specifically, it modifies the comments header packet of the kate stream, as well as the language and category of the kate stream.

The element will also process the stream as the kateparse element does so it can be used when remuxing an Ogg Kate stream, without additional elements.

Applications can set the tags to write using the GstTagSetter interface. Tags contained within the kate stream will be picked up automatically (and merged according to the merge mode set via the tag setter interface).

#### Example pipelines

This element is only useful with gst-launch-1.0 for modifying the language and/or category (which are properties of the stream located in the kate beginning of stream header), because it does not support setting the tags on a GstTagSetter interface. Conceptually, the element will usually be used like:

    1
    gst-launch-1.0 -v filesrc location=foo.ogg ! oggdemux ! katetag ! oggmux ! filesink location=bar.ogg

This pipeline will set the language and category of the stream to the given values:

    1
    gst-launch-1.0 -v filesrc location=foo.ogg ! oggdemux ! katetag language=pt_BR category=subtitles ! oggmux ! filesink location=bar.ogg

## Synopsis

### Element Information

plugin | kate
author | Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>
class | Formatter/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | subtitle/x-kate
| application/x-kate

name | src
direction | source
presence | always
details | subtitle/x-kate
| application/x-kate

## Functions

## Types and Values

### struct GstKateTag

    struct GstKateTag;

Opaque data structure.

## Property Details

### The `“category”` property

      “category”                 gchar *

Set the category of the stream.

Flags: Read / Write

Default value: ""

### The `“language”` property

      “language”                 gchar *

Set the language of the stream.

Flags: Read / Write

Default value: ""

### The `“original-canvas-height”` property

      “original-canvas-height”   gint

Set the height of the canvas this stream was authored for (0 is unspecified).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“original-canvas-width”` property

      “original-canvas-width”    gint

Set the width of the canvas this stream was authored for (0 is unspecified).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

## See Also

oggdemux, oggmux, kateparse, GstTagSetter